* PACKAGE P2INTG  
*
*" 履歴 93/08/29 保坂征宏            p2misc.F より移動並びに大幅修正
**********************************************************************
      SUBROUTINE TGINTG      
     M         ( GDTG  , RFLUX , DRFLUX ,   
     I           GTTG  , DELTM    )
*
*   [PARAM] 




* PACKAGE  ZXT10L32 !" 格子点数，波数 X-Z
*
      INTEGER     IMAX           !" 経度格子数
      INTEGER     JMAX           !" 緯度格子数
      INTEGER     IDIM           !" 経度配列サイズ
      INTEGER     JDIM           !" 緯度配列サイズ
      INTEGER     MMAX           !" 最大東西波数
      INTEGER     LMAX           !" 最大南北波数
      INTEGER     NMAX           !" 最大全波数
      INTEGER     MINT           !" 東西波数間隔
      INTEGER     KMAX           !" 鉛直層数
      INTEGER     KDIM           !" 鉛直配列サイズ
      INTEGER     NMDIM          !" 水平波数成分数
      INTEGER     JMXHF          !" JMAX/2+1
      INTEGER     NWORK          !" ワーク領域大きさ
*
      PARAMETER ( IMAX  = 32,     JMAX =  1,
     &            IDIM  = IMAX+1, JDIM = JMAX,
     &            MMAX  = 10,     LMAX =  0,    NMAX = MMAX, MINT = 1,
     &            KMAX  = 32,     KDIM = KMAX,
     &            NMDIM = (MMAX/MINT+1)*(2*(NMAX+1)-MMAX)
     &                  - (NMAX-LMAX)/MINT*(NMAX-LMAX+1),
     &            JMXHF = JMAX/2+1,
     &            NWORK = IDIM*JDIM*KMAX*12                       )

*
*   [MODIFY] 
      ReaL*8       GDTG  ( IDIM*JDIM )          
      ReaL*8       RFLUX ( IDIM*JDIM, KMAX+1 )  
      ReaL*8       DRFLUX( IDIM*JDIM, KMAX+1,0:1 )
*
*   [INPUT] 
      ReaL*8       GTTG   ( IDIM*JDIM )      
      ReaL*8       DELTM                     
*
*   [INTERNAL WORK] 
      INTEGER    IJ, K
*
      SAVE
*
*"    < 1. 長波フラックスの補正 ( 地表フラックス分の補正 ) > 
*
      DO 1100 K = 1, KMAX+1
         DO 1100 IJ = 1, IDIM*JDIM
            RFLUX ( IJ,K ) = RFLUX ( IJ,K )
     &                       + DRFLUX( IJ,K,0 ) * GTTG ( IJ ) * DELTM    
 1100 CONTINUE
*
*"    < 2. 補正項係数変更 地表面放射分 その1 >  
*
      DO 2100 K = 1, KMAX+1
         DO 2100 IJ = 1, IDIM*JDIM
            DRFLUX ( IJ,K,0 ) = DRFLUX ( IJ,K,0 )/ GDTG ( IJ )**3 
 2100 CONTINUE
*
*"    < 3. 地表面温度時間積分 >  
*
      DO 3100 IJ = 1, IDIM*JDIM
            GDTG( IJ ) = GDTG( IJ ) + GTTG( IJ ) * DELTM 
 3100 CONTINUE
*
*"    < 4. 補正項係数変更 地表面放射分 その2 >       
*
      DO 4100 K = 1, KMAX+1
         DO 4100 IJ = 1, IDIM*JDIM
            DRFLUX ( IJ,K,0 ) = DRFLUX ( IJ,K,0 ) * GDTG ( IJ )**3 
 4100 CONTINUE
*
      RETURN
      END
